/*===========*/
/*HTML elemek*/
/*===========*/

html,
body {
  height: 100%;
}

body {
  color: #ffffff;
  font-family: AlrightSans-Medium;
  overflow-x: hidden;
}


.navbar-brand {
  font-size: 1.5rem;
}

.brand-text {
  letter-spacing: 1.5px;
  font-family: ArialRoundedMTBold;
}


h1 {
  color: #ffffff;
  font-family: AlrightSans-Light;
  font-size: 1.75rem;
  /*margin-top: 1.5rem !important;*/
}

@media screen and (max-width: 792) {
  #teteje h1 {
    margin-top: 80px;
  }
}


/*==========*/
/*index.html*/
/*==========*/
#index {
  padding-top: 76px;
}

#index .container-fluid {
  padding-left: 1.5rem !important;
  padding-right: 1.5rem !important;
}

/*-------------*/
/*Teteje egység*/
/*-------------*/

#teteje {
  position: relative;
}

/*#boritokep {
  overflow: hidden;
}*/

/*@media screen and (max-width: 639px) {
  #boritokep img {
    height: 275px;
  }
}

@media screen and (min-width: 640px) {
  #boritokep img {
    width: 100%;
  }
}*/

#boritokep {
  width: 100vw;
  margin-left: calc(-50vw + 50%);
  margin-right: calc(-50vw + 50%);
}

#boritokep img {
  width: 100%;
  height: calc(100vh - 76px);
  object-fit: cover;
}

#cim {
  position: absolute;
  /*bottom: 10vh; */
  top: 10vh;
  background: rgba(0, 0, 0, 0.5);
  line-height: 1.4;
  width: 100vw;
  margin-left: calc(-50vw + 50%);
}

#cim h1 {
  color: white;
  /*text-shadow: -3px -3px 4px #666, -3px 3px 4px #666, 3px -3px 4px #666, 3px 3px 4px #666;*/
  font-size: 3rem;
  /*font-weight: bold;*/
  /*  font-variant: small-caps;*/
  text-transform: uppercase;
  letter-spacing: 3.5px;
  font-family: ArialRoundedMTRegular;
}

#cim h3 {
  font-weight: normal;
}

#cim p {
  font-weight: normal;
  font-family: AlrightSans-Light;
  font-size: 1.75rem;
  letter-spacing: 1px;
}


#csik {
  width: 100vw;
  margin-left: calc(-50vw + 50%);
  /*height: 7vh;*/
  background: rgba(0, 0, 0, 0.7);
  position: absolute;
  bottom: 0;
  padding-top: 14px;
  padding-bottom: 8px;
}

#csik h4 {
  font-weight: normal;
  font-family: AlrightSans-Light;
  font-size: 1.20rem;
  letter-spacing: 1px;
  font-style: italic;
}

#csik p {
  font-size: 0.9rem;
  margin: 0;
}

#demo {
  position: absolute;
  bottom: 0;
}

@media screen and (max-width: 768px) {
  #demo {
    position: relative;
  }
}

@media screen and (max-width: 1200px) {
  #demo img{
    max-height: 50vh;
  }
}

@media screen and (min-width: 1200px) and (max-width: 1400px) {
  #demo img{
    max-height: 70vh;
  }
}

@media screen and (min-width: 1400px) {
  #demo img{
    max-height: 85vh;
  }
}


#tartalom {
  position: relative;
  letter-spacing: 0.5px;
  font-weight: normal;
}

/*#tartalom {
  position: absolute;
  top: 50vh;
}*/


/* ----------------
* Alkalmazás leírás 
* ----------------- */
ul#app-info {
  list-style: none;
  padding-left: 50px;
  font-family: AlrightSans-RegularItalic;
}

ul#app-info li:before {
  font-family: fas;
  content: '\f0c9';
  margin: 0 10px 0 -25px;
  color: #ddd;
}


/* ------------------------
*  Elkészült modulok egység
*  ------------------------ */
#modulok-kesz h5 {
  font-family: AlrightSans-Black;
  font-size: 1.5rem;
}

#modulok-kesz ul {
  list-style: none;
  padding-left: 50px;
  font-family: AlrightSans-RegularItalic;
}

#modulok-kesz ul li:before {
  font-family: fas;
  content: '\f0c9';
  margin: 0 10px 0 -25px;
  color: #383A4E;
}

/*--------------*/
/*Modulok egység*/
/*--------------*/
#modulok-hamarosan h5, #modulok-kesobb h5 {
  font-family: AlrightSans-BoldItalic;
  font-size: 1.1rem;
  margin-bottom: 0;
}

/*#modulok .card {
  background-color: #f2f2f2;
  background-image: url('/media/index/logo2_270.png');
  background-repeat: no-repeat;
  background-position: center bottom;
  border-radius: 10px;
  border: none;
}*/

#modulok-hamarosan .card-header, #modulok-kesobb .card-header {
  border-radius: 10px 10px 0 0;
}

#modulok-hamarosan .card-footer, #modulok-kesobb .card-footer {
  background: none;
  border: none;
}

/* -------------------------- 
* Elérhető települések egység
* --------------------------- */
#telepulesek img {
  width: 100px;
  height: 100px;
  object-fit: cover;
  border: 2px solid white;
}

/*----------------*/
/*Kapcsolat egység*/
/*----------------*/
#kapcsolat p a {
  color: #888888;
  font-style: italic;
}

#kapcsolat .row.g-0 {
  margin-bottom: 0;
}

#eco-modal .modal-header {
  color: #333333;
  font-family: AlrightSans-Bold;
  font-variant: small-caps;
}

#eco-modal .col-10 {
  font-family: AlrightSans-RegularItalic;
}



/*=========*/
/*Osztályok*/
/*=========*/

.wrap {
  min-height: 100%;
  height: auto;
  margin: 0 auto -60px;
  padding: 0 0 60px;
}

.navbar-nav .nav-link {
  padding-left: 1rem !important;
  padding-right: 1rem !important;
}

.footer {
  border: none;
  height: 60px;
  background-color: #f5f5f5;
  padding-top: 20px;
}



/*.hatter {
  background-image: url('/media/index/logo2_270_t.png');
  background-repeat: no-repeat;
  background-position: right bottom;
}*/

@media screen and (max-width: 991px) {
  .hatter {
    background-size: 75% auto;
  }
}

@media screen and (min-width: 992px) {
  .hatter {
    background-size: auto 75%;
  }
}

.gomb-arnyek {
  box-shadow: 0 2px 5px black;
}

/*.kep-arnyek {
  box-shadow: 0 5px 10px black;
}*/

.v-kozepre {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
}

.anchor {
  padding-top: 90px;
}

@media screen and (min-width: 768px) {
  .card-img {
    height: 100%;
    object-fit: cover;
  }
}


.card-img-col {
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
}


/* Carousel */
#carousel-telepulesek .carousel-item {
  transition: transform 0.35s ease-in-out;
}

.carousel-inner .carousel-item.active,
.carousel-inner .carousel-item-next,
.carousel-inner .carousel-item-prev {
  display: flex;
}

.carousel-inner .carousel-item-end.active,
.carousel-inner .carousel-item-next {
  transform: translateX(100%);
}

.carousel-inner .carousel-item-start.active,
.carousel-inner .carousel-item-prev {
  transform: translateX(-100%);
}

@media (min-width: 576px) and (max-width: 768px) {
  .carousel-inner .carousel-item-end.active,
  .carousel-inner .carousel-item-next {
    transform: translateX(50%);
  }

  .carousel-inner .carousel-item-start.active,
  .carousel-inner .carousel-item-prev {
    transform: translateX(-50%);
  }
}

@media (min-width: 768px) and (max-width: 992px) {
  .carousel-inner .carousel-item-end.active,
  .carousel-inner .carousel-item-next {
    transform: translateX(calc(100%/3));
  }

  .carousel-inner .carousel-item-start.active,
  .carousel-inner .carousel-item-prev {
    transform: translateX(calc(-100%/3));
  }
}

@media (min-width: 992px) and (max-width: 1200px) {
  .carousel-inner .carousel-item-end.active,
  .carousel-inner .carousel-item-next {
    transform: translateX(25%);
  }

  .carousel-inner .carousel-item-start.active,
  .carousel-inner .carousel-item-prev {
    transform: translateX(-25%);
  }
}

@media (min-width: 1200px) {
  .carousel-inner .carousel-item-end.active,
  .carousel-inner .carousel-item-next {
    transform: translateX(calc(100%/6));
  }

  .carousel-inner .carousel-item-start.active,
  .carousel-inner .carousel-item-prev {
    transform: translateX(calc(-100%/6));
  }
}

.carousel-inner .carousel-item-end,
.carousel-inner .carousel-item-start{
  transform: translateX(0);
}
/* Carousel */


.download-info-card {
    font-family: AlrightSans-Medium;
}

.dl-collapse-toggle-span {
    display: inline-block;
    width: 15px; 
    text-align: center;
}


/* Stílusok a Select2 mezőhöz */
.field-mobilappverziosearch-verzio_fk_telepules_id
.select2-container .select2-selection--single {
    background-color: rgba(255,255,255, 0.05);
    border: 1px solid white;
    color: white;
}

.field-mobilappverziosearch-verzio_fk_telepules_id
.select2-container .select2-selection--single .select2-selection__rendered {
    color: white;
}

.field-mobilappverziosearch-verzio_fk_telepules_id
.select2-container .select2-selection--single .select2-selection__placeholder {
    color: white;
    opacity: 0.55;
}

.field-mobilappverziosearch-verzio_fk_telepules_id
.select2-container .select2-selection--single .select2-selection__arrow b {
    border-color: white transparent transparent transparent;
}

.select2-dropdown {
    background-color: #151532;
    color: #fff;
}

/* Stílusok a clear (törlés) gombhoz */
.field-mobilappverziosearch-verzio_fk_telepules_id
.select2-container .select2-selection__clear {
    color: white !important;
    text-shadow: none !important; /* Eltünteti az árnyékot */
    opacity: 0.9 !important;
}

/* Stílusok az addon elemhez */
.group-mobilappverziosearch-verzio_fk_telepules_id 
.input-group-text {
    background-color: rgba(255,255,255, 0.15);
    border: 1px solid white;
    color: white;
}


/* Stílusok a lenyíló listához */
#select2-mobilappverziosearch-verzio_fk_telepules_id-results 
.select2-results__option[aria-selected] {
    background-color: #151532; 
    color: white;
}

/* hovered option (hightlighted)) */
#select2-mobilappverziosearch-verzio_fk_telepules_id-results
.select2-results__option--highlighted[aria-selected] {
    background-color: rgba(149, 193, 31, 0.3);
    color: #fff;
}

/* selected option */
#select2-mobilappverziosearch-verzio_fk_telepules_id-results
.select2-results__option[aria-selected="true"] {
  color: #fff; 
  background-color: rgba(149, 193, 31, 0.6);
}



/* Egyéni stílusok a LinkPagerhez */

/* Az aktív oldal stílusa */
.custom-pagination .page-item.active .page-link {
    background-color: rgb(149, 193, 31); 
    border-color: rgb(149, 193, 31);     
    color: #fff; 
}

/* A normál oldalak stílusa */
.custom-pagination .page-link {
    background-color: #383A4E;
    color: #fff;           
    border-color: #383A4E; 
}

/* A normál oldalak hover stílusa */
.custom-pagination .page-link:hover {
    background-color: #383A4E; 
    color: #fff;
    border-color: #383A4E; 
}

/* A letiltott oldalak stílusa */
.custom-pagination .page-item.disabled .page-link {
    color: #fff; 
    background-color: #383A4E; 
    border-color: #383A4E; 
}


/* Default dropdown positioning */
.language-dropdown-menu {
    left: auto;
        right: 0;
    
    
}

/* Adjust dropdown positioning when navbar collapses */
@media (max-width: 1200px) { /* Bootstrap's lg breakpoint */
    .language-dropdown-menu {
        left: 0;
    right: auto;
    }
}